# Random sample generation
n=10
sample(n)    # select a random permutation from 1 to n
x=c(8,3,5,11,9,5,4,2)
sample(x)           # randomly permute x
sample(x,replace=T) # random sampling with replacement
m=3
sample(x,m)           # sample m items from x without replacement
sample(x,m,replace=T) # sample m items from x with replacement
p=c(0.1,0.2,0.05,0.05,0.3,0.1,0.05,0.15)
sample(x,m,replace=T,prob=p) # sample m items from x with probabilities given by p

# Simulate n draws from the Normal distribution with mean equal to mu
# and standard deviation equal to sd
n=100
mu=0
sd=1
x=rnorm(n,mu,sd)
mean(x)     # sample mean
var(x)      # sample variance
n=10000
mu=10
sd=3
x=rnorm(n,mu,sd)
hist(x)

y=3
mu=4
sd=1
dnorm(y,mu,sd)    # density
pnorm(y,mu,sd)    # distribution function

# A function that calculates the logarithm of the pdf of a normal distribution
"logdnorm" <-
function (x,mu,sd) 
{
logfx=-0.5*log(2*pi)-log(sd)-0.5*((x-mu)/sd)^2

return(logfx)
}

y=3
mu=4
sd=1
dnorm(y,mu,sd)
logfx=logdnorm(y,mu,sd)
exp(logfx)


